classification
Title: Refactor setup.py
Type: Stage: resolved
Components: Build Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2019-02-28 15:37 by vstinner, last changed 2019-04-09 16:41 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12068 closed vstinner, 2019-02-28 15:37
PR 12093 merged vstinner, 2019-02-28 15:44
PR 12097 merged vstinner, 2019-02-28 17:02
PR 12098 merged vstinner, 2019-02-28 17:12
PR 12124 merged vstinner, 2019-03-01 14:44
PR 12125 merged vstinner, 2019-03-01 15:24
PR 12127 merged vstinner, 2019-03-01 15:54
PR 12129 merged vstinner, 2019-03-01 16:50
PR 12708 merged xdegaye, 2019-04-06 16:56
PR 12746 merged christian.heimes, 2019-04-09 15:35
Messages (12)
msg336841 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-02-28 15:37
The detect_modules() method of setup.py became longer and longer over
the years. It is now 1128 lines long. It's way too long: it becomes
very hard to track the lifetime of a variable and many variables are
overriden on purpose or not. Shorter functions help to track the
lifetime of variables, ease review and reduce the number of bugs.
msg336851 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-02-28 16:48
New changeset 4cbea518a0827d23a41a45b03a8af729c2f16605 by Victor Stinner in branch 'master':
bpo-36146: Refactor setup.py (GH-12093)
https://github.com/python/cpython/commit/4cbea518a0827d23a41a45b03a8af729c2f16605
msg336919 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-01 14:31
New changeset 8058bdae3e5e1f77a202d9dc907b4189409c9b03 by Victor Stinner in branch 'master':
bpo-36146: Refactor setup.py: PyBuildExt.add() method (GH-12097)
https://github.com/python/cpython/commit/8058bdae3e5e1f77a202d9dc907b4189409c9b03
msg336923 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-01 14:59
New changeset 625dbf2567533e6001d57e5969fba75c1b6ece43 by Victor Stinner in branch 'master':
bpo-36146: Refactor setup.py: Add PyBuildExt.srcdir (GH-12124)
https://github.com/python/cpython/commit/625dbf2567533e6001d57e5969fba75c1b6ece43
msg336926 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-01 15:43
New changeset 5ec33a1c25a586552751ca35c85ab7ecb6b06ec3 by Victor Stinner in branch 'master':
bpo-36146: Split setup.py into subfunctions (GH-12125)
https://github.com/python/cpython/commit/5ec33a1c25a586552751ca35c85ab7ecb6b06ec3
msg336927 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-01 16:19
New changeset c991f2415d4eef663039a83125aa6aad81672680 by Victor Stinner in branch 'master':
bpo-36146: Don't run code at setup.py top level (GH-12127)
https://github.com/python/cpython/commit/c991f2415d4eef663039a83125aa6aad81672680
msg336935 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-01 17:21
New changeset cfe172dc6bd0a02d36db31ffabcc38f9320a4510 by Victor Stinner in branch 'master':
bpo-36146: Add TEST_EXTENSIONS to setup.py (GH-12129)
https://github.com/python/cpython/commit/cfe172dc6bd0a02d36db31ffabcc38f9320a4510
msg336938 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-01 17:23
Ok, I splitted my giant PR 12068 into multiple small commits. So they are easier to review and understand ;-) I close the issue.
msg337019 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-02 19:37
New changeset 96d81583be98cec9728636186ea32b662cb091d5 by Victor Stinner in branch 'master':
bpo-36146: Fix inc_dirs in setup.py on macOS (GH-12098)
https://github.com/python/cpython/commit/96d81583be98cec9728636186ea32b662cb091d5
msg339761 - (view) Author: miss-islington (miss-islington) Date: 2019-04-09 15:20
New changeset 2ee077f7955e0349074f16a7afee40b4914619f7 by Miss Islington (bot) (xdegaye) in branch 'master':
bpo-36544 : Fix regression introduced in bpo-36146 (GH-12708)
https://github.com/python/cpython/commit/2ee077f7955e0349074f16a7afee40b4914619f7
msg339774 - (view) Author: miss-islington (miss-islington) Date: 2019-04-09 16:40
New changeset 8abc3f4f91e6b523c761c7a6fa2e3405019803a1 by Miss Islington (bot) (Christian Heimes) in branch 'master':
bpo-36577: setup.py reports missing OpenSSL again (GH-12746)
https://github.com/python/cpython/commit/8abc3f4f91e6b523c761c7a6fa2e3405019803a1
msg339776 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-09 16:41
For the record, I introduced a regression which has been fixed in bpo-36544.
History
Date User Action Args
2019-04-09 16:41:29vstinnersetmessages: + msg339776
2019-04-09 16:40:14miss-islingtonsetmessages: + msg339774
2019-04-09 15:35:05christian.heimessetpull_requests: + pull_request12673
2019-04-09 15:20:18miss-islingtonsetnosy: + miss-islington
messages: + msg339761
2019-04-06 16:56:48xdegayesetpull_requests: + pull_request12633
2019-03-02 19:37:19vstinnersetmessages: + msg337019
2019-03-01 17:23:18vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg336938

stage: patch review -> resolved
2019-03-01 17:21:51vstinnersetmessages: + msg336935
2019-03-01 16:50:14vstinnersetpull_requests: + pull_request12132
2019-03-01 16:19:12vstinnersetmessages: + msg336927
2019-03-01 15:54:38vstinnersetpull_requests: + pull_request12130
2019-03-01 15:43:31vstinnersetmessages: + msg336926
2019-03-01 15:24:28vstinnersetpull_requests: + pull_request12128
2019-03-01 14:59:42vstinnersetmessages: + msg336923
2019-03-01 14:44:13vstinnersetpull_requests: + pull_request12126
2019-03-01 14:31:47vstinnersetmessages: + msg336919
2019-02-28 17:12:40vstinnersetpull_requests: + pull_request12105
2019-02-28 17:02:43vstinnersetpull_requests: + pull_request12104
2019-02-28 16:48:42vstinnersetmessages: + msg336851
2019-02-28 15:44:30vstinnersetpull_requests: + pull_request12101
2019-02-28 15:37:51vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request12100
2019-02-28 15:37:34vstinnercreate